#include <iostream>
using namespace std;

int main()
{
    int n, k, i,j, mini = 200001;
    cin >> n >> k;
    char s[n];
    char c[k] = {0};
    for(i = 0; i < n; i++){
        cin >> s[i];
    }
    for(i = 0; i < n; i++) {
        c[s[i]-97]++;
        for(j = 0; j < k; j++) {
            if(c[j] < mini){
                mini = c[j];
            }
        }
        cout << mini+1 << " ";
        mini = 200001;
    }

    return 0;
}